> This page is for Taurus PROTECT, version v3.40.
> For other versions, use one of these documentation indexes:
> - v3.58 (default): https://taurushq.ferndocs.com/protect-capital/v3.58/llms.txt
> - v3.56: https://taurushq.ferndocs.com/protect-capital/v3.56/llms.txt
> - v3.54: https://taurushq.ferndocs.com/protect-capital/v3.54/llms.txt
> - v3.52: https://taurushq.ferndocs.com/protect-capital/v3.52/llms.txt
> - v3.50: https://taurushq.ferndocs.com/protect-capital/v3.50/llms.txt
> - v3.48: https://taurushq.ferndocs.com/protect-capital/v3.48/llms.txt
> - v3.46: https://taurushq.ferndocs.com/protect-capital/v3.46/llms.txt
> - v3.44: https://taurushq.ferndocs.com/protect-capital/v3.44/llms.txt
> - v3.42: https://taurushq.ferndocs.com/protect-capital/v3.42/llms.txt
> - v3.40: https://taurushq.ferndocs.com/protect-capital/v3.40/llms.txt
> - v3.38: https://taurushq.ferndocs.com/protect-capital/v3.38/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://taurushq.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://taurushq.ferndocs.com/_mcp/server.

# List XTZ entry points

GET https://your-protect-instance.example.com/api/rest/v1/capital/contract-instances/{id}/xtz/entrypoints

This endpoint returns a list of entry points of an XTZ contract

Reference: https://taurushq.ferndocs.com/protect-capital/reference/capital/contracts-xtz-instance/get-xtz-entrypoints

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `id` (string, required)

### Query parameters

- `entrypoint` (string, optional)

## Response

### 200

A successful response.

- `result` (tgcapitald_mergedGetXTZEntrypointsResult, optional)

## Types

### tgcapitald_mergedGetXTZEntrypointsResult

- `entrypoints` (list of tgcapitald_mergedXTZEntrypoint, optional)

### tgcapitald_mergedXTZEntrypoint

- `name` (string, optional)
- `type` (tgcapitald_mergedXTZContractArg, optional)
- `schema` (tgcapitald_mergedXTZPrimSchema, optional)

### tgcapitald_mergedXTZContractArg

- `kind` (string, optional)
- `prim` (string, optional)
- `args` (list of tgcapitald_mergedXTZContractArg, optional)
- `source` (XTZContractArg_Source, optional)
- `destination` (XTZContractArg_Destination, optional)
- `string` (string, optional)
- `int` (string, optional)
- `bytes` (string, optional)
- `annotations` (list of string, optional)

### tgcapitald_mergedXTZPrimSchema

- `type` (string, optional)
- `title` (string, optional)
- `prim` (string, optional)
- `typeSignature` (string, optional)
- `format` (string, optional)
- `default` (string, optional)
- `properties` (list of tgcapitald_mergedXTZPrimSchema, optional)
- `namedPair` (boolean, optional)
- `const` (string, optional)

### XTZContractArg_Source

- `fromAddressId` (string, optional)

### XTZContractArg_Destination

- `toAddressId` (string, optional)
- `toWhitelistedAddressId` (string, optional)

## Examples

**Response**

```json
{
  "result": {
    "entrypoints": [
      {
        "name": "string",
        "type": {
          "kind": "string",
          "prim": "string",
          "args": [
            null
          ],
          "source": {
            "fromAddressId": "string"
          },
          "destination": {
            "toAddressId": "string",
            "toWhitelistedAddressId": "string"
          },
          "string": "string",
          "int": "string",
          "bytes": "string",
          "annotations": [
            "string"
          ]
        },
        "schema": {
          "type": "string",
          "title": "string",
          "prim": "string",
          "typeSignature": "string",
          "format": "string",
          "default": "string",
          "properties": [
            null
          ],
          "namedPair": true,
          "const": "string"
        }
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://your-protect-instance.example.com/api/rest/v1/capital/contract-instances/id/xtz/entrypoints"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://your-protect-instance.example.com/api/rest/v1/capital/contract-instances/id/xtz/entrypoints';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://your-protect-instance.example.com/api/rest/v1/capital/contract-instances/id/xtz/entrypoints"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://your-protect-instance.example.com/api/rest/v1/capital/contract-instances/id/xtz/entrypoints")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://your-protect-instance.example.com/api/rest/v1/capital/contract-instances/id/xtz/entrypoints")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://your-protect-instance.example.com/api/rest/v1/capital/contract-instances/id/xtz/entrypoints', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://your-protect-instance.example.com/api/rest/v1/capital/contract-instances/id/xtz/entrypoints");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://your-protect-instance.example.com/api/rest/v1/capital/contract-instances/id/xtz/entrypoints")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```